Summary: Python-powered template engine and code-generator
Name: python-cheetah
Version: 1.0
Release: %mkrel 4
URL: http://www.CheetahTemplate.org/
Source0: http://prdownloads.sourceforge.net/cheetahtemplate/Cheetah-%{version}.tar.bz2
Patch: python-cheetah-1.0-future.patch
License: MIT like
Group: Development/Python
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
* generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
  text-based format.
* cleanly separates content, graphic design, and program code. This leads to
  highly modular, flexible, and reusable site architectures; faster
  development time; and HTML and program code that is easier to understand and
  maintain. It is particularly well suited for team efforts.
* blends the power and flexibility of Python with a simple template language
  that non-programmers can understand.
* gives template writers full access to any Python data structure, module,
  function, object, or method in their templates.
* makes code reuse easy by providing an object-orientated interface to
  templates that is accessible from Python code or other Cheetah templates.
  One template can subclass another and selectively reimplement sections of it.
* provides a simple, yet powerful, caching mechanism that can dramatically
  improve the performance of a dynamic website.
* compiles templates into optimized, yet readable, Python code.

%prep
%setup -q -n Cheetah-%version
%patch -p1 -b .future

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES LICENSE TODO
%_libdir/python*/site-packages/Cheetah
%_libdir/python*/site-packages/*.egg-info
%_bindir/*


%changelog
* Tue Nov 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-4mdv2007.0
+ Revision: 87982
- added patch for python-2.5 to get rid of this error:
  "SyntaxError: from __future__ imports must occur at the beginning of the file"

  + Oden Eriksson <oeriksson@mandriva.com>
    - add needed egg-info file
    - Import python-cheetah



* Sun May 07 2006 Michael Scherer <misc@mandriva.org> 1.0-1mdk
- New release 1.0

* Sun Nov 06 2005 Michael Scherer <misc@mandriva.org> 0.9.18-2mdk
- mkrel 
- remove prefix tag

* Sun Oct 23 2005 Jan Ciger <jan.ciger@gmail.com> 0.9.18-1mdk
- 0.9.18

* Sat Feb  5 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-0.a2.2mdk
- merge the 2 spec files

* Sat Feb  5 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-0.a2.1mdk
- 0.9.16a2

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.9.15-4mdk
- Rebuild for new python

* Mon Oct 25 2004 Michael Scherer <misc@mandrake.org> 0.9.15-3mdk
- Rebuild

* Sun Aug 9 2003 Austin Acton <aacton@yorku.ca> 0.9.15-2mdk
- python 2.3

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.9.15-1mdk
- initial package

# end of file
